Update Fund Consumption for CBS Level SOV (Auto-Order / Auto-Ratio)

PUT /ws/rest/service/v1/fund/sov/consumption/{project_number}

Purpose

To assign Funds to CBS in SOV of types "General Spends" & "Payment Applications".

Request Format

All parameters should be URL encoded.

Both input & output in JSON format in the body.

Sample Request For SOV Auto-Ratio

{

"data":{

"Purchase Orders" ( commit_bp_name ):{

"sov_type":"General Spends", ( optional )

"assignment_type":"SOV Auto-Ratio", ( optional )

"record_no":{

"PO-0002" ( SOV base record number ):{

"rows":[

{

"item#":"000010",

"cbs_code":"100~~101", ( optional )

"fund_assignment":[

{

"fund_code":"funding",

"fund_ratio":"40",

"status" : "Active" ( optional )

},

{

"fund_code":"State Funding",

"fund_ratio":"0"

"status" : "Active"

},

{

"fund_code":"Federal Funding",

"fund_ratio":"60"

}

]

},

{

"item#":"000020.00001",

"breakdown" : "BD1",

"cbs_code":"100~~102",

"fund_assignment":[

{

"fund_code":"State Funding",

"fund_ratio":"100"

}

]

}

]

},

"PO-0001":{

"rows":[

{

"item#":"000010",

"cbs_code":"100~~101",

"fund_assignment":[

{

"fund_code":"funding",

"fund_ratio":"100"

}

]

}

]

}

}

}

}

}

SOV Auto-Order

fund_assignment can be provided in two ways:

1)

{

"data":{

"Group_by_CBS_base_commit_bp" ( commit_bp_name ): {

"sov_type": "General Spends",

"assignment_type": "SOV Auto-Order",

"record_no": {

"uxfund20-0000" ( SOV base record number ): {

"rows": [

{

"item#": "000010",

"cbs_code": "100~~101",

"fund_assignment": [

"funding",

"State Funding",

"Federal Funding"

]

}

]

}

}

}

}

}

2)

{

"data":{

"Group_by_CBS_base_commit_bp": {

"sov_type": "General Spends",

"assignment_type": "SOV Auto-Order",

"record_no": {

"uxfund20-0000": {

"rows": [

{

"item#": "000010",

"cbs_code": "100~~101",

"fund_assignment": [

{

"fund_code" : "funding"

},

{

"fund_code" : "State Funding"

},

{

"fund_code" : "Federal Funding"

}

]

}

]

}

}

}

}

}

Note:

  • The "item#" is mandatory, to uniquely identify row to be updated, in SOV sheet.
  • For SOV Auto-Order, if only one fund_code is provided in input without fund_ratio, the default 100% will be applied to that fund_code.
  • SOV sheets configured to be funded from Commit Fund Sheet, will not get updated from this update call.
  • To perform this call, the Integration user needs to have the Get permission under Cost CBS Services permission (under "User Administration in Company Admin mode").
  • The update operation supports only one Commitment Business process in Input.
  • Only the SOV sheets with "Fund Assignment" enabled (in the sheets) will be updated.
  • In the SOV sheet, only the rows that have Cost code assigned to them are provided in input JASON.
  • If a row is divided in breakdowns, both the "item#" and the "breakdown" values must be provided for identification for the row to be updated. For the SOV Auto-Order, if only one fund_code is provided in input, without fund_ratio, the default value of 100% will be applied to that fund_code.
  • The SOV sheets that have been configured to be funded from the Commit Fund Sheet will not get updated from this update call.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Response message contains key as "<record_no>/<item#>/<breakdown, if present>

And "item_status", "item_message" contains individual response for that row in SOV record.

Sample Response For SOV Auto-Ratio

{

"data":[

],

"message":[

{

"PO-0002/000010" :

{

"item_status":200,

"item_message":"success"

}

"PO-0002/000020.00001/BD1" :

{

"item_status":200,

"item_message":"success"

},

"PO-0001/000010" :

{

"item_status":200,

"item_message":"success"

}

}

],

"status":200

}

Sample Response For SOV Auto-Order

{

"data":[ ],

"message":[

{"uxfund20-0000/000010" :{

"item_status":200,

"item_message":"success"

}

}

],

"status":200

}

Status codes are:

  • 200, for success
  • 3000, for Partial success.